DSRW_FILTER_SETUP(3)

EXPERIMENTAL_FUNC
dsrw_filter_setup - Set up a Karma data filter.

SYNOPSIS
#include <karma_dsrw.h>

multi_array * dsrw_filter_setup

(Channel channel, CONST array_desc *arr_desc, CONST char *infile, CONST char *outfile)

DESCRIPTION
Set up a Karma data filter.

channel
    The channel to write to.

arr_desc
    The array descriptor.

infile
    The input filename.

outfile
    The output Karma filename.

RETURN VALUE
A multi_array pointer on success, else NULL.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/